BambooIsland: Camera Class Reference

BambooIsland Abgabe 2

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# Camera Class Reference

List of all members.

## Public Types

enum | CameraMode { Record, Replay }
| The camera supports either recording a new path or replaying the recorder path. This enum represents the states.

## Public Member Functions

void | addToMoveVector (glm::vec3 v3Vector)
| Adds a vector to the move vector. Note that if you add a vector, you must subtract it later if you want the camera to stop this movement.
void | incRotationX (float value)
| Increases the x rotation (negative value decreases it)
void | incRotationY (float value)
| Increases the y rotation (negative value decreases it)
void | setMode (CameraMode mode)
| Sets the camera mode (PLAY or RECORD;.
void | setLightMatrixForShadowMapping ()
void | unsetLightMatrix ()
glm::mat4 | getModelviewMatrix () const
| Returns the ModelviewMatrix.
glm::mat4 | getInverseTranslationMatrix () const
| Returns the inverse translation matrix.
glm::mat4 | getProjectionMatrix () const
| Returns the projection matrix.
glm::mat4 | getUsedTemporaryMatrix () const
| Returns the used temporary matrix.
glm::mat4 | getUsedLightProjModelViewMatrix () const
glm::mat4 | getLastFrameModelViewMatrix () const
void | move ()

## Static Public Member Functions

static Camera * | instance ()
| Returns the singelton object of Camera.

## Detailed Description

Definition at line 15 of file Camera.h.

## Member Function Documentation

void Camera::setMode | ( | CameraMode | mode | ) |

Sets the camera mode (PLAY or RECORD;.

See also:
  CameraMode )

Definition at line 57 of file Camera.cpp.

The documentation for this class was generated from the following files:

- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/Camera.h
- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/Camera.cpp

All Classes Functions Variables Enumerations Enumerator